%define module_name	hpt
%define module_version	2004.12.26
%define module_release	alt1.1

%define kversion	2.4.29
%define krelease	alt1
%define flavour		ll-smp

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	HighPoint Technologies IDE/RAID controller drivers
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release
License:	Distributable
Group:		System/Kernel and hardware
URL:		http://www.highpoint-tech.com/

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

%description
Drivers for HighPoint Technologies IDE/RAID controllers.

These are modules for your ALT Linux system.

%prep

rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
# Some HPT drivers want to know about SMP but use their own defines instead of
# CONFIG_SMP
smpflag=
if %__grep -qs "CONFIG_SMP=y" %_usrsrc/linux-%kversion-%flavour/.config; then
	smpflag="SMP=1"
fi
%__make CC="gcc -fno-strict-aliasing" \
	KERNEL_DIR=%_usrsrc/linux-%kversion-%flavour $smpflag

%install
%__make install MODULE_INSTALL_DIR=%buildroot/%module_dir \
	DOC_DIR=%buildroot/%_docdir/%name-%version-%release

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir
%doc %_docdir/%name-%version-%release

%changelog
* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.12.26-alt1.1
- New version:
  - Updated hpt302 driver (HPT302/302N) to version 1.2.
  - Updated hpt374 driver (HPT374 UDMA/ATA133 RAID, RocketRAID 154x/1640 SATA)
    to version 2.12.
  - Updated hpt3xx driver (HPT370/370A/372/372A/372N/302/302N ATA RAID,
    RocketRAID 1520 SATA RAID) to version 2.0.  Two versions of this module
    are built: hpt3xx (for PATA controllers) and hpt3xx_sata (for SATA
    controllers).
  - Updated rr182x (hptmv) driver (RocketRAID 182x SATA RAID) to version 1.11.
  - Added r100 driver version 1.0 for Rocket100 controller (hptr100 module).
  - Added r1540 driver version 1.0 for Rocket 1540 SATA controller (hptr1540
    module).
- Added -fno-strict-aliasing option to avoid warnings and possibly wrong
  compilation.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.04-alt4.1
- Rebuild for kernel 2.4.27.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.04-alt3.1
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.04-alt2.1
- Rebuild for kernel 2.4.26.

* Sun Apr 04 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.04-alt1.1
- New version:
  + Updated hpt302 driver (HPT302/302N) to version 1.1 (fully opensource now).
  + Updated hpt3xx driver (HPT370/370A/372/372A/372N ATA RAID, RocketRAID 1520
    S-ATA RAID) to version 1.35.
  + Added rr182x driver version 1.02 for RocketRAID 182x S-ATA RAID (hptmv
    module).

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 2003.10.24-alt4.1
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.24-alt3.1
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.24-alt2.1
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Fri Oct 24 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.24-alt1.1
- Initial build

